OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXmlXCAF
XmlXCAFDrivers

# XmlXCAFDrivers_DocumentRetrievalDriver Class Reference

retrieval driver of a XS document

`#include <XmlXCAFDrivers_DocumentRetrievalDriver.hxx>`

## Public Member Functions
Standard_EXPORT | XmlXCAFDrivers_DocumentRetrievalDriver ()
virtual Standard_EXPORT Handle_XmlMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlXCAFDrivers_DocumentRetrievalDriver::XmlXCAFDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_XmlMDF_ADriverTable XmlXCAFDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

Standard_EXPORT const XmlXCAFDrivers_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

The documentation for this class was generated from the following file:

- XmlXCAFDrivers_DocumentRetrievalDriver.hxx